Subject: bug#14886: Fwd: bug#14886: Fwd: A significant slowdown calling font-lock-fontify-buffer from a hook

From: Juanma Barranquero <[email-masked]>
Date: Fri, 26 Jul 2013 23:32:03 +0200

On Fri, Jul 26, 2013 at 9:44 PM, Alan Mackenzie <[email-masked]> wrote:

> In the trunk, the entire buffer seems to get fontified, taking ~28s on my
> machine.  I think the definition of `font-lock-fontify-buffer' has
> changed.  Could this change explain the difference in timings you see?

Yes, I suppose so.

> I'm not sure I'm getting very far, here.  IIUC, the problem is that the
> initial f-l-fontify-buffer is taking around 72s in some circumstances, as
> opposed to 18s (on JB's machine).  I can't reproduce the problem.

Sorry, I don't understand. The bug is not that it takes 18s or 72s, is
that it goes from less than two seconds (in 24.3) to tens of seconds
(in trunk). Do you see that problem or don't you?

    Juanma